include IntelliJ::Module

action :create do
  begin
    args = @new_resource
    module_file = create_module(args)
    add_module_to_project(args.project_path, module_file, args.user, args.group)
    detect_module_vcs(args.path, args.project_path, args.user, args.group)
    detect_maven_module(args.path, args.project_path, args.user, args.group)
  end
end

action :delete do
  begin
    args = @new_resource
    module_file = delete_module_file(args.path, args.module_name)
    delete_module_from_project(args.project_path, module_file)
    delete_module_from_vcs(args.path, args.project_path)
    delete_module_from_maven(args.path, args.project_path)
    delete_content(args.path) if args.delete_content
  end
end
