include IntelliJ::Workspace

action :create do
  begin
    args = @new_resource
    prepare_workspace(args.path, args.user, args.group)
    setup_default_project(args.default_project, args.path, args.user, args.group) if args.default_project
    setup_color_scheme(args.color_scheme, args.path, args.user, args.group) if args.color_scheme
    create_shortcut(args.path, args.intellij_path, args.user, args.group)
  end
end

action :delete do
  begin
    args = @new_resource
    directory args.path do
      recursive true
    end
  end
end
