#
# This recipe is used to clean after the 'example.windows.rb' recipe.
# The order for every resource is reversed to make sure that the cookbook will manage delete actions properly for all of them.
#

intellij_artifact 'sample-maven-module:jar' do
  project_path 'C:/Test/Workspace/My Project'
  action :delete
end
['Start simple batch script', 'HelloWorld from Java', 'Clean install Maven module'].each do |name|
  intellij_run_configuration name do
    project_path 'C:/Test/Workspace/My Project'
    action :delete
  end
end

intellij_module 'C:/Test/Workspace/My Project/Module2' do
  delete_content true
  project_path 'C:/Test/Workspace/My Project'
  module_name 'sample-maven-module'
  action :delete
end

intellij_module 'C:/Test/Workspace/My Project/Module1' do
  delete_content true
  project_path 'C:/Test/Workspace/My Project'
  module_name 'Created new module'
  action :delete
end

intellij_project 'C:/Test/Workspace/My Project' do
  project_name 'My fantastic project'
  action :delete
end

intellij_sdk 'JDK 10.0' do
  workspace 'C:/Test/Workspace'
  action :delete
end

intellij_workspace 'C:/Test/Workspace' do
  action :delete
end

intellij 'C:/Program Files/JetBrains/IntelliJ' do
  action :delete
end
